//
//  ViewController.m
//  SearchVC
//
//  Created by mac on 16/10/7.
//  Copyright © 2016年 Joker. All rights reserved.
//

#import "ViewController.h"
#import "SearchBaseViewController.h"
@interface ViewController ()<SearchBaseViewControllerDelegate>
{
    NSArray *_dataSourceArr;
}

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.navigationController.navigationBar.barTintColor = [UIColor orangeColor];

    self.navigationItem.title = @"搜索demo";
    self.view.backgroundColor = [UIColor whiteColor];
    [self loadData];
    
    //此处我用button代替  也可以先放一个搜索框，当点击搜索框时跳转到搜索界面。
    UIButton *button = [UIButton buttonWithType:UIButtonTypeCustom];
    button.frame = CGRectMake(100, 100, 200, 50);
    [button setTitle:@"点击跳转到搜索界面" forState:UIControlStateNormal];
    [button addTarget:self action:@selector(btnAction) forControlEvents:UIControlEventTouchUpInside];
    button.backgroundColor = [UIColor grayColor];
    
    [self.view addSubview:button];
}
-(void)loadData
{
    _dataSourceArr = @[@{@"name":@"王二狗",@"age":@"20"},@{@"name":@"战三",@"age":@"20"}];
}
-(void)btnAction{
    SearchBaseViewController  *vc = [[SearchBaseViewController alloc] init];
  
    vc.originalArray = [NSMutableArray arrayWithArray:_dataSourceArr];
    vc.placeholder = @"此处填入提示文字";
    //如果数据源是数组包含字典的形式  即_dataSourceArr = @[@{@"name":@"王二狗",@"age":@"20"},@{@"name":@"战三",@"age":@"20"}];  传入相应的key
    vc.seacrKeyArr = @[@"name",@"age"];
    vc.delegate = self;
    [self.navigationController pushViewController:vc animated:YES];
}
#pragma  mark  实现代理方法

#pragma mark searchDel
- (void)searchBarCancelButtonClicked:(UISearchBar *)searchBar{
    searchBar.showsCancelButton = NO;
}
- (void)searchBarSearchButtonClicked:(UISearchBar *)searchBar{
    searchBar.showsCancelButton = NO;
//    [_searchBar resignFirstResponder];
}

#pragma  mark SearchViewControllerDelegate
-(UITableViewCell *)tableView:(UITableView *)tableView IndexPath:(NSIndexPath *)indexPath withDataSourceArr:(NSMutableArray *)dataArr withSearchText:(NSString *)text
{
    
    static NSString *idefitier = @"searchCell";
    UITableViewCell *cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:idefitier];
    if (!cell) {
        cell = [tableView dequeueReusableCellWithIdentifier:idefitier];
    }
    if ([cell respondsToSelector:@selector(setLayoutMargins:)]) {
        [cell setLayoutMargins:UIEdgeInsetsZero];
    }
    if ([cell respondsToSelector:@selector(setSeparatorInset:)]){
        [cell setSeparatorInset:UIEdgeInsetsZero];
    }
    NSDictionary *dic = _dataSourceArr[indexPath.row];
    cell.textLabel.text = dic[@"name"];
    cell.detailTextLabel.text = dic[@"age"];
    return cell;
}
-(void)tableView:(UITableView *)tableView didSelectSearchRowAtIndexPath:(NSIndexPath *)indexPath
{
    
    NSLog(@"选中了%ld",(long)indexPath.row);
}
-(CGFloat)tableView:(UITableView *)tableView heightForSearchRowAtIndexPath:(NSIndexPath *)indexPath
{
    return 50;
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
